
Katello - Bug #6051

pulp node metadata generation (for capsule sync) should be asynchronous to publish/promote

06/03/2014 09:50 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1104351 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1104351

Description of problem:

Generating pulp node metadata can add up to 10 minutes for very big repos (eg: 6Server).

Version-Release number of selected component (if applicable):

katello 1.5.0

Associated revisions

Revision 4a41d934 - 06/05/2014 03:31 PM - Justin Sherrill

fixes #6051 - do not wait for node metadata publish

generate another task to track all of the metadata publish and syncing

Revision c934e667 - 06/10/2014 11:48 AM - Justin Sherrill

Merge pull request #4211 from jlsherrill/async_node_publish

fixes #6051 - do not wait for node metadata publish

History

#1 - 06/03/2014 09:54 PM - Justin Sherrill

- Status changed from New to Assigned

- Triaged set to No

#2 - 06/03/2014 09:55 PM - Justin Sherrill

- Target version set to 45

- translation missing: en.field_release set to 13

#3 - 06/05/2014 03:15 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 06/10/2014 11:54 AM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:4a41d934ba90e9e4dbb4287ce2eec1e4005f11db.
